Bug 13923 - is built without ALSA support
: is built without ALSA support
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mpg123)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-07 18:53 by
Modified: 2009-04-30 14:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-07 18:53:38
mpg123-0.59s-alt0.9

ALSA is the most natural way to play sound concurrently. IMO, ALSA should be the
default output.
Steps to Reproduce:
1. Start playing something in another player.
2. Try to use mpg123 concurrently:
$ mpg123 04-vse-napominaet-o-tebe.mp3 
High Performance MPEG 1.0/2.0/2.5 Audio Player for Layer 1, 2 and 3.
Version 0.59s-mh4 (2000/Oct/27). Written and copyrights by Michael Hipp.
Uses code from various people. See 'README' for more!
THIS SOFTWARE COMES WITH ABSOLUTELY NO WARRANTY! USE AT YOUR OWN RISK!
Can't open /dev/dsp!
$ 

Or:
1. try to specify an ALSA device explicitly:
$ mpg123 -a 0:0 04-vse-napominaet-o-tebe.mp3 
High Performance MPEG 1.0/2.0/2.5 Audio Player for Layer 1, 2 and 3.
Version 0.59s-mh4 (2000/Oct/27). Written and copyrights by Michael Hipp.
Uses code from various people. See 'README' for more!
THIS SOFTWARE COMES WITH ABSOLUTELY NO WARRANTY! USE AT YOUR OWN RISK!
Can't open 0:0!
$ 

(Hmm, is "0:0" the right format for specifying an ALSA device?)
Actual Results:  
ALSA is not used, no concurrent playback.
------- Comment #1 From 2008-01-17 00:09:06 -------
samurai@home incoming/Sepultura/2003 - Roorback $ xmms 01\ -\ Come\ Back\
Alive.mp3&
[1] 9982
samurai@home incoming/Sepultura/2003 - Roorback $ mpg123 02\ -\ Godless.mp3
High Performance MPEG 1.0/2.0/2.5 Audio Player for Layers 1, 2 and 3
        version 1.0.1; written and copyright by Michael Hipp and others
        free software (LGPL/GPL) without any warranty but with best wishes

Playing MPEG stream 1 of 1: 02 - Godless.mp3 ...
Title:   Godless                         Artist: Sepultura
Comment: www.allofmp3.com                Album:  Roorback
Year:    2003                            Genre:  Rock
MPEG 1.0 layer III, 192 kbit/s, 44100 Hz stereo
[1]  + done       xmms 01\ -\ Come\ Back\ Alive.mp3

All plays simultaneously (and some mplayer process near plays some movie)
------- Comment #2 From 2008-01-17 01:15:29 -------
(In reply to comment #1)

Strange... Perhaps, it has support for and was able to use something like esd or
similar.

I've just tried running two mpg123s simultaneously, the second one failed: 
$ mpg123 manjaki--020905.mp3 
High Performance MPEG 1.0/2.0/2.5 Audio Player for Layer 1, 2 and 3.
Version 0.59s-mh4 (2000/Oct/27). Written and copyrights by Michael Hipp.
Uses code from various people. See 'README' for more!
THIS SOFTWARE COMES WITH ABSOLUTELY NO WARRANTY! USE AT YOUR OWN RISK!
Can't open /dev/dsp!

It seems it knows nothing about ALSA.

Which device does your running mpg123 use? 
Mine uses /dev/dsp: 
$ ls -l /proc/25976/fd/
total 0
lrwx------ 1 ivan ivan 64 Янв 16 23:19 0 -> /dev/pts/3
lrwx------ 1 ivan ivan 64 Янв 16 23:19 1 -> /dev/pts/3
lrwx------ 1 ivan ivan 64 Янв 16 23:19 2 -> /dev/pts/3
lr-x------ 1 ivan ivan 64 Янв 16 23:19 3 ->
/space/music/in/test-recode/04-vse-napominaet-o-tebe.mp3
l-wx------ 1 ivan ivan 64 Янв 16 23:19 4 -> /dev/dsp
$ 
------- Comment #3 From 2008-01-20 01:44:22 -------
(In reply to comment #1)
>         version 1.0.1; written and copyright by Michael Hipp and others

(In reply to comment #2)
> Version 0.59s-mh4 (2000/Oct/27). Written and copyrights by Michael Hipp.

See? :)
------- Comment #4 From 2008-03-22 04:52:37 -------
Кстати, можно 1.0.x положить в Daedalus -- там до сих пор 0.66.
------- Comment #5 From 2008-03-22 18:38:22 -------
(In reply to comment #4)
> Кстати, можно 1.0.x положить в Daedalus -- там до сих пор 0.66.
Я не пойму как оторвать асемблер ему (с ним в 586 лезут TEXTRELы)
------- Comment #6 From 2009-04-30 14:24:21 -------
fixed in 1.7.2